Home  /  Questions  /  Question



50   50
Aug 02, 2013


VS 2010 and Design Pattern Framework 4.5

The requirements for the .NET Design Pattern Framework 4.5 state VS 2012. 
I am still running VS 2010. Will this work for me?




508   99.9
Aug 03, 2013
Hello Lyle: 

The Design Pattern Framework 4.5 uses many of the new features available in VS 2012 and .NET 4.5.
Examples include LocalDb, SimpleMembership, Web API, async / await keywords, and others. 

So the short answer is no, the latest version is not compatible with VS 2010.

However, your purchase includes all prior versions. Here is a list
  • Design Pattern Framework 4.0 for VS 2010 / .NET 4.0
  • Design Pattern Framework 3.5 for VS 2008 / .NET 3.5
  • Design Pattern Framework 2.0 for VS 2005 / .NET 2.0
  • Design Pattern Framework 1.1 for VS 2003 / .NET 1.1
So, with VS 2010 you can use the Design Pattern Framework 4.0. 
Of course, it does not have all the latest and greatest features that 4.5 has. 

Hope this answers your question..
Jack